package com.gic.auth.dto;

import java.io.Serializable;
/**
 * 资源组，用户域配置数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:24 PM 
 */
public class ResourceGroupCustomUserDTO implements Serializable{
    private static final long serialVersionUID = -3182922200773458600L;

    /**
     * 1：会员卡域 2：服务号域 3：小程序域
     */
    private Integer type;

    /**
     * 显示顺序(用于前端)
     */
    private Integer sort;

    /**
     * 域ID，多选，英文逗号隔开
     */
    private String cu;

    /**
     * 人群筛选器ID
     */
    private Long cuSelectId;

    public Integer getType() {
        return type;
    }

    public ResourceGroupCustomUserDTO setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public ResourceGroupCustomUserDTO setSort(Integer sort) {
        this.sort = sort;
        return this;
    }

    public String getCu() {
        return cu;
    }

    public ResourceGroupCustomUserDTO setCu(String cu) {
        this.cu = cu;
        return this;
    }

    public Long getCuSelectId() {
        return cuSelectId;
    }

    public ResourceGroupCustomUserDTO setCuSelectId(Long cuSelectId) {
        this.cuSelectId = cuSelectId;
        return this;
    }
}
